<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.core.biz.dao.FingerPushDao">

	<!-- 핑거푸시 실패 시 LMS 발송 -->
	<insert id="createAgpushQueue" parameterType="FingerPush">
		/* FingerPush.createAgpushQueue */
		INSERT INTO style24_msg.AGPUSH_QUEUE (
		       APPKEY
		     , APPSECRET
		     , MSGTITLE
		     , SENDDATE
		     , MSGCONTENTS
		     , IDENTIFY
		     , PMODE
		     , FNAME
		     , PLINK
		     , STEP
		     , PHONE
		     , CALLBACK
		     , FAILEDTYPE
		     , KKO_FAILED_SUBJECT
		     , KKO_FAILED_MSG
		)
		VALUES (
		       #{appkey}
		     , #{appsecret}
		     , #{msgtitle}
		     , NOW()
		     , #{msgcontents}
		     , #{identify}
		     , #{pmode}
		     , #{fname}
		     , #{plink}
		     , 'R'
		     , #{phone}
		     , #{callback}
		     , #{failedtype}
		     , #{kkoFailedSubject}
		     , #{kkoFailedMsg}
		)
	</insert>

	<insert id="createAgpushQueueDev" parameterType="FingerPush">
		/* FingerPush.createAgpushQueueDev */
		INSERT INTO AGPUSH_QUEUE (
		       APPKEY
		     , APPSECRET
		     , MSGTITLE
		     , SENDDATE
		     , MSGCONTENTS
		     , IDENTIFY
		     , PMODE
		     , FNAME
		     , PLINK
		     , STEP
		     , PHONE
		     , CALLBACK
		     , FAILEDTYPE
		     , KKO_FAILED_SUBJECT
		     , KKO_FAILED_MSG
		)
		VALUES (
		       #{appkey}
		     , #{appsecret}
		     , #{msgtitle}
		     , NOW()
		     , #{msgcontents}
		     , #{identify}
		     , #{pmode}
		     , #{fname}
		     , #{plink}
		     , 'R'
		     , #{phone}
		     , #{callback}
		     , #{failedtype}
		     , #{kkoFailedSubject}
		     , #{kkoFailedMsg}
		)
	</insert>

</mapper>
